Subject: Re: bug#16644: 24.3.50; Can't get Git Org mode info files before info files bundled with Emacs

From: "Sebastien Vauban" <[email-masked]>
Date: Fri, 07 Feb 2014 17:08:45 +0100

Eli Zaretskii wrote:
>> From: "Sebastien Vauban" <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Fri, 07 Feb 2014 09:20:21 +0100
>> 
>> However, while I set the order of directories to be:
>> 
>> 1. first the Info files from Org mode Git, then
>> 2. from Cygwin tools, then
>> 3. the ones built within Emacs,
>> 
>> I expect to just get that in `Info-directory-list'. It isn't the case.
>> 
>> So, is there a way to put my Info files before the ones from Emacs?
>
> It was possible before this commit:
>
>   http://lists.gnu.org/archive/html/emacs-diffs/2014-01/msg00130.html
>
> Now it isn't: the Emacs's own Info directory is always at the front,
> like Glenn told you in his response to your original bug report.
>
> However, you could perhaps rearrange Info-directory-list in an Info
> mode hook, or directly.  Or just overwrite the manuals that came with
> Emacs with your local ones.

Let's try to summarize:

- If I'm OK with having my Info files after the Emacs ones, I can use
  `Info-additional-directory-list' which serves that purpose.

- If I'm not OK with that, I must fiddle the value of
  `Info-directory-list', in the following way (which works in my case):

--8<---------------cut here---------------start------------->8---
  (with-eval-after-load "info"
    (setq Info-directory-list
          `(,(expand-file-name
              (concat (file-name-directory (locate-library "org"))
                      "../doc/"))
            "c:/cygwin/usr/share/info/"
            ,@Info-directory-list)))
--8<---------------cut here---------------end--------------->8---

So, what's the point of still having `Info-default-directory-list'???

In all cases, I'm not sure its docstring is right anymore:

  ╭────
  │ Default list of directories to search for Info documentation files.
  │ They are searched in the order they are given in the list.
  │ Therefore, the directory of Info files that come with Emacs
  │ normally should come last (so that local files override standard ones),
  │ unless Emacs is installed into a non-standard directory.  In the latter
  │ case, the directory of Info files that come with Emacs should be
  │ first in this list.
  ╰────

Or am I in the case where "Emacs is installed into a non-standard
directory"?  I have the impression that yes, it's so, if I look at the
mentioned consequences. But I don't have the impression it's installed
in a non-standard directory if I look at the Windows conventions (it's,
here, in C:\Program Files (x86)).

Best regards,
  Seb

-- 
Sebastien Vauban